Subject: bug#50493: Update go-build-system to use Go 1.17.

From: Efraim Flashner <[email-masked]>
Date: Sun, 19 Dec 2021 10:19:02 +0200

On Fri, Dec 17, 2021 at 05:09:01PM -0500, Leo Famulari wrote:
> On Wed, Dec 15, 2021 at 08:03:32PM +0200, Efraim Flashner wrote:
> > I got pretty far commenting out binutils-gold and adding back in gcc:lib
> > and the substitute snippets. Then I started failing tests requiring the
> > linker, so it looks like I'll actually have to troubleshoot
> > binutils-gold.
> > 
> > I thought about trying gccgo in place of go-1.4 for the bootstrap, but
> > I'm pretty sure I'd still need binutils-gold.
> 
> Maybe, in the meantime, we could update go-build-system to use go-1.16,
> which does at least build on aarch64. This Go release is still
> supported, at least for a little while longer.
> 
> It would be nice to not be using Go 1.14 by default in the upcoming
> release.
> 
> What do people think about that idea?

All of go is blocked on aarch64 with binutils-gold not compiling. I have
a patch locally to add gcc:lib for (target-arm?) to go-1.17 which I'll
push after testing with binutils-gold. I think going straight to 1.17 is
fine, there's no regression against the current support for aarch64.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted